[versions]
# base
autoService = "1.1.1"
blurviewVersion = "version-2.0.6"
compileSdk = "35"
targetSdk = "35"
minSdk = "21"

agp = "8.6.1"
ksp = "1.9.25-1.0.20"
kapt = "2.0.20-Beta2"
desugar_jdk_libs = "2.1.5"

#kotin
kotlin = "2.1.0"
kotlinxCoroutine = "1.7.3"

# test
junit = "4.13.2"
junitVersion = "1.2.1"
espressoCore = "3.6.1"

# androidx
androidxCore = "1.13.1"
androidxRoom = "2.6.1"
androidxAppcompat = "1.7.0"
androidxFragmentKtx = "1.8.2"
androidxLifecycle = "2.8.4"
androidxWork = "2.9.0"
androidxMultidex = "2.0.1"
androidxActivity = "1.9.1"
androidxConstraintlayout = "2.1.4"
androidxExifinterface = "1.3.7"
androidxAnnotation = "1.8.1"
androidxSwiperefreshlayout = "1.1.0"
androidxVectordrawable = "1.2.0"
androidxViewpager2 = "1.1.0"
androidxRecyclerview = "1.3.2"
androidxCardview = "1.0.0"
androidxCamera = "1.4.2"
androidxWebkit = "1.14.0"
androidxDataStore = "1.0.0"

# android
androidMaterial = "1.4.0"
androidInstallReferrer = "2.2"
googleAndroid = "4.1.1.4"
androidMail = "1.6.6"

# gms
gmsGoogleService = "4.4.2"
gmsGoogleServiceAuth = "21.2.0"
gmsPlayServicesBase = "18.5.0"
gmsPlayServicesLocation = "21.3.0"
gmsPlayServicesAuthApiPhone = "18.1.0"
gmsPlayServicesAdsIdentifier = "18.0.1"

# firebase
firebaseBom = "33.1.2"
firebaseCrashlytics = "3.0.2"

# google play core
playFeatureDelivery = "2.1.0"
playReview = "2.0.1"
playAppUpdate = "2.1.0"

# adjust
adjust = "5.5.0"

# appsflyer
appsflyer = "6.14.2"

# facebook
facebook = "17.0.0"
whatsappOtpAndroidSdk = "0.1.0"

# billing
googleBilling = "8.0.0"
payermax = "1.0.08"

# rtc
agoraVoice = "3.7.3.5.XYHZ"
trtc = "12.3.0.17115"

# network
okhttp = "4.12.0"
conscrypt = "2.5.2"
animalSnifferAnnotations = "1.23"

# io
okio = "3.0.0"

# fresco
fresco = "2.5.0"
inferAnnotation = "0.18.0"
soloader = "0.11.0"

# glide
glide = "4.12.0"

# java
javaxAnnotation = "1.3.2"
rxjava = "3.0.4"
rxAndroid = "3.0.0"
jxl = "2.6.12"

# 图片压缩
compressor = "3.0.1"

# oss & cos
aliyunOss = "2.9.5"
qcloudCos = "5.9.6"

# video
videoProcessor = "2.4.2"
tencentVap = "2.0.25"
media3 = "1.4.1"
guava = "33.3.1-android"

# mmkv
mmkv = "1.3.13"

# phone
googleLibPhoneNumber = "8.13.28"

# ui
smartRefreshLayout = "3.0.0-alpha"
androidAutoSize = "v1.2.1"
baseRecyclerViewAdapterHelper = "2.9.50"
rangeseekbar = "v2.0.4"
flexbox = "3.0.0"

# apm
xcrash = "3.1.0"

# reflect
hiddenapibypass = "4.3"

# compile
cmake = "3.10.2"

# channel
vasdolly = "3.0.6"

# library
relinker = "1.4.4"

# svga
wireRuntime = "2.3.0-RC1"
luceneCore = "4.8.1"
boltsTasks = "1.4.0"

# gson
gson = "2.9.1"

# blur-view
blurView = "version-2.0.6"

# resguard
aabresguard = "0.1.10"

# apple
appleAppauth = "0.11.1"

# tiktok
tiktok = "2.3.0"

# frame
frameBom = "1.0.0"

framePush = "1.0.0"

frameRouterCompiler = "1.0.0"
frameTrace = "1.0.0"
frameBundleTool = "1.0.0"

toolargetool = "0.3.0"
fixandroid14debuggablelag = "1.0.0"

# tuicore
tencentIMSDK = "8.8.7357"
tencnetUiCore = "8.8.7357"
tencnetUiCommon = "3.5.0.1332"
tencentLiteavSDK = "13.0.0.19676"
tencnetRoommEngine = "3.6.1.76"
tencnetTimpush = "8.8.7357"
tencnetTimpushFcm = "8.8.7357"
tencnetAtomicX = "4.0.0.110"

# rong cloud
rongcloud = "5.24.0"

# pinyin
pingyin = "2.5.0"

[libraries]
# plugin
android-build-gradle = { module = "com.android.tools.build:gradle", version.ref = "agp" }
auto-service = { module = "com.google.auto.service:auto-service", version.ref = "autoService" }
kotlin-gradle-plugin = { module = "org.jetbrains.kotlin:kotlin-gradle-plugin", version.ref = "kotlin" }
desugar_jdk_libs = { module = "com.android.tools:desugar_jdk_libs", version.ref = "desugar_jdk_libs" }
firebase-crashlytics-gradle = { module = "com.google.firebase:firebase-crashlytics-gradle", version.ref = "firebaseCrashlytics" }
gms-google-services = { module = "com.google.gms:google-services", version.ref = "gmsGoogleService" }
tencent-vasdolly-plugin = { module = "com.tencent.vasdolly:plugin", version.ref = "vasdolly" }
aabresguard-plugin = { module = "com.bytedance.android:aabresguard-plugin", version.ref = "aabresguard" }

# kotlin
kotlin-stdlib = { group = "org.jetbrains.kotlin", name = "kotlin-stdlib", version.ref = "kotlin" }
kotlinx-coroutines-core = { group = "org.jetbrains.kotlinx", name = "kotlinx-coroutines-core", version.ref = "kotlinxCoroutine" }
kotlinx-coroutines-android = { group = "org.jetbrains.kotlinx", name = "kotlinx-coroutines-android", version.ref = "kotlinxCoroutine" }

# androidx
androidx-core = { group = "androidx.core", name = "core", version.ref = "androidxCore" }
androidx-core-ktx = { group = "androidx.core", name = "core-ktx", version.ref = "androidxCore" }
androidx-vectordrawable = { group = "androidx.vectordrawable", name = "vectordrawable", version.ref = "androidxVectordrawable" }
androidx-activity = { group = "androidx.activity", name = "activity", version.ref = "androidxActivity" }
androidx-appcompat = { group = "androidx.appcompat", name = "appcompat", version.ref = "androidxAppcompat" }
androidx-constraint-layout = { group = "androidx.constraintlayout", name = "constraintlayout", version.ref = "androidxConstraintlayout" }
androidx-fragment-ktx = { group = "androidx.fragment", name = "fragment-ktx", version.ref = "androidxFragmentKtx" }
androidx-exifinterface = { group = "androidx.exifinterface", name = "exifinterface", version.ref = "androidxExifinterface" }
androidx-swiperefreshlayout = { group = "androidx.swiperefreshlayout", name = "swiperefreshlayout", version.ref = "androidxSwiperefreshlayout" }
androidx-viewpager2 = { group = "androidx.viewpager2", name = "viewpager2", version.ref = "androidxViewpager2" }
androidx-recyclerview = { group = "androidx.recyclerview", name = "recyclerview", version.ref = "androidxRecyclerview" }
androidx-multidex = { group = "androidx.multidex", name = "multidex", version.ref = "androidxMultidex" }
androidx-annotation = { group = "androidx.annotation", name = "annotation", version.ref = "androidxAnnotation" }
androidx-lifecycle-runtime-ktx = { group = "androidx.lifecycle", name = "lifecycle-runtime-ktx", version.ref = "androidxLifecycle" }
androidx-lifecycle-common-java8 = { group = "androidx.lifecycle", name = "lifecycle-common-java8", version.ref = "androidxLifecycle" }
androidx-lifecycle-viewmodel-ktx = { group = "androidx.lifecycle", name = "lifecycle-viewmodel-ktx", version.ref = "androidxLifecycle" }
androidx-lifecycle-livedata-ktx = { group = "androidx.lifecycle", name = "lifecycle-livedata-ktx", version.ref = "androidxLifecycle" }
androidx_room_runtime = { group = "androidx.room", name = "room-runtime", version.ref = "androidxRoom" }
androidx_room_compiler = { group = "androidx.room", name = "room-compiler", version.ref = "androidxRoom" }
androidx_room_ktx = { group = "androidx.room", name = "room-ktx", version.ref = "androidxRoom" }
androidx_work_manager = { group = "androidx.work", name = "work-runtime-ktx", version.ref = "androidxWork" }
androidx_cardview = { group = "androidx.cardview", name = "cardview", version.ref = "androidxCardview" }
androidx_camera_core = { group = "androidx.camera", name = "camera-core", version.ref = "androidxCamera" }
androidx_camera_camera2 = { group = "androidx.camera", name = "camera-camera2", version.ref = "androidxCamera" }
androidx_camera_lifecycle = { group = "androidx.camera", name = "camera-lifecycle", version.ref = "androidxCamera" }
androidx_camera_video = { group = "androidx.camera", name = "camera-video", version.ref = "androidxCamera" }
androidx_camera_view = { group = "androidx.camera", name = "camera-view", version.ref = "androidxCamera" }
androidx_camera_mlkit_vision = { group = "androidx.camera", name = "camera-mlkit-vision", version.ref = "androidxCamera" }
androidx_camera_extensions = { group = "androidx.camera", name = "camera-extensions", version.ref = "androidxCamera" }
androidx-webkit = { module = "androidx.webkit:webkit", version.ref = "androidxWebkit" }
androidx-datastore = { group = "androidx.datastore", name = "datastore-preferences", version.ref = "androidxDataStore" }
androidx-datastore-rxjava = { group = "androidx.datastore", name = "datastore-preferences-rxjava3", version.ref = "androidxDataStore" }

# android
android-material = { group = "com.google.android.material", name = "material", version.ref = "androidMaterial" }
android-install-referrer = { group = "com.android.installreferrer", name = "installreferrer", version.ref = "androidInstallReferrer" }
google-android = { group = "com.google.android", name = "android", version.ref = "googleAndroid" }
android-mail = { group = "com.sun.mail", name = "android-mail", version.ref = "androidMail" }
android-mail-activation = { group = "com.sun.mail", name = "android-activation", version.ref = "androidMail" }

# gms
gms-google-services-auth = { group = "com.google.android.gms", name = "play-services-auth", version.ref = "gmsGoogleServiceAuth" }
gms-play-services-base = { group = "com.google.android.gms", name = "play-services-base", version.ref = "gmsPlayServicesBase" }
gms-play-services-location = { group = "com.google.android.gms", name = "play-services-location", version.ref = "gmsPlayServicesLocation" }
gms-play-services-auth-api-phone = { group = "com.google.android.gms", name = "play-services-auth-api-phone", version.ref = "gmsPlayServicesAuthApiPhone" }
gms-play-services-ads-identifier = { group = "com.google.android.gms", name = "play-services-ads-identifier", version.ref = "gmsPlayServicesAdsIdentifier" }

# firebase
firebase-bom = { group = "com.google.firebase", name = "firebase-bom", version.ref = "firebaseBom" }
firebase-analytics = { group = "com.google.firebase", name = "firebase-analytics" }
firebase-crashlytics = { group = "com.google.firebase", name = "firebase-crashlytics" }
firebase-crashlytics-ndk = { group = "com.google.firebase", name = "firebase-crashlytics-ndk" }
firebase-messaging = { group = "com.google.firebase", name = "firebase-messaging" }
firebase-dynamic-link = { group = "com.google.firebase", name = "firebase-dynamic-links" }

# google play core
play-feature-delivery = { group = "com.google.android.play", name = "feature-delivery", version.ref = "playFeatureDelivery" }
play-feature-delivery-ktx = { group = "com.google.android.play", name = "feature-delivery-ktx", version.ref = "playFeatureDelivery" }
play-review = { group = "com.google.android.play", name = "review", version.ref = "playReview" }
play-review-ktx = { group = "com.google.android.play", name = "review-ktx", version.ref = "playReview" }
play-app-update = { group = "com.google.android.play", name = "app-update", version.ref = "playAppUpdate" }
play-app-update-ktx = { group = "com.google.android.play", name = "app-update-ktx", version.ref = "playAppUpdate" }

# adjust
adjust-android = { group = "com.adjust.sdk", name = "adjust-android", version.ref = "adjust" }
adjust-android-webbridge = { group = "com.adjust.sdk", name = "adjust-android-webbridge", version.ref = "adjust" }

# appsflyer
appsflyer = { group = "com.appsflyer", name = "af-android-sdk", version.ref = "appsflyer" }

# facebook
facebook-android-sdk = { group = "com.facebook.android", name = "facebook-android-sdk", version.ref = "facebook" }
facebook-share = { group = "com.facebook.android", name = "facebook-share", version.ref = "facebook" }
facebook-login = { group = "com.facebook.android", name = "facebook-login", version.ref = "facebook" }
facebook-applink = { group = "com.facebook.android", name = "facebook-applinks", version.ref = "facebook" }
whatsapp-otp-android-sdk = { module = "com.whatsapp.otp:whatsapp-otp-android-sdk", version.ref = "whatsappOtpAndroidSdk" }

# billing
google-billing-library = { group = "com.android.billingclient", name = "billing", version.ref = "googleBilling" }
google-billing-library-ktx = { group = "com.android.billingclient", name = "billing-ktx", version.ref = "googleBilling" }
payermax = { group = "com.payermax", name = "payment-easy", version.ref = "payermax" }

# rtc
agora-voice = { group = "io.agora.rtc", name = "agora-special-voice", version.ref = "agoraVoice" }
trtc = { group = "com.tencent.liteav", name = "LiteAVSDK_Professional", version.ref = "tencentLiteavSDK" }

# network
okhttp = { group = "com.squareup.okhttp3", name = "okhttp", version.ref = "okhttp" }
conscrypt = { group = "org.conscrypt", name = "conscrypt-android", version.ref = "conscrypt" }
animal-sniffer-annotations = { group = "org.codehaus.mojo", name = "animal-sniffer-annotations", version.ref = "animalSnifferAnnotations" }

# io
okio = { group = "com.squareup.okio", name = "okio", version.ref = "okio" }

# fresco
fresco = { group = "com.facebook.fresco", name = "fresco", version.ref = "fresco" }
fresco-animated-base = { group = "com.facebook.fresco", name = "animated-base", version.ref = "fresco" }
fresco-animated-webp = { group = "com.facebook.fresco", name = "animated-webp", version.ref = "fresco" }
fresco-webpsupport = { group = "com.facebook.fresco", name = "webpsupport", version.ref = "fresco" }
fresco-animated-gif = { group = "com.facebook.fresco", name = "animated-gif", version.ref = "fresco" }
fresco-imagepipeline = { group = "com.facebook.fresco", name = "imagepipeline", version.ref = "fresco" }
fresco-imagepipeline-native = { group = "com.facebook.fresco", name = "imagepipeline-native", version.ref = "fresco" }
fresco-memory-type-ashmem = { group = "com.facebook.fresco", name = "memory-type-ashmem", version.ref = "fresco" }
fresco-memory-type-native = { group = "com.facebook.fresco", name = "memory-type-native", version.ref = "fresco" }
fresco-memory-type-java = { group = "com.facebook.fresco", name = "memory-type-java", version.ref = "fresco" }
fresco-fbcore = { group = "com.facebook.fresco", name = "fbcore", version.ref = "fresco" }
fresco-ui-common = { group = "com.facebook.fresco", name = "ui-common", version.ref = "fresco" }
fresco-middleware = { group = "com.facebook.fresco", name = "middleware", version.ref = "fresco" }
facebook-soloader = { group = "com.facebook.soloader", name = "soloader", version.ref = "soloader" }

# glide
glide = { group = "com.github.bumptech.glide", name = "glide", version.ref = "glide" }

# java
javax-annotation = { group = "javax.annotation", name = "javax.annotation-api", version.ref = "javaxAnnotation" }
#const val jsr305 = "com.google.code.findbugs:jsr305:3.0.2"
infer-annotation = { group = "com.facebook.infer.annotation", name = "infer-annotation", version.ref = "inferAnnotation" }
rxjava = { group = "io.reactivex.rxjava3", name = "rxjava", version.ref = "rxjava" }
rxandroid = { group = "io.reactivex.rxjava3", name = "rxandroid", version.ref = "rxAndroid" }
jxl = { group = "net.sourceforge.jexcelapi", name = "jxl", version.ref = "jxl" }

# image
compressor = { group = "id.zelory", name = "compressor", version.ref = "compressor" }

# oss & cos
aliyun-oss = { group = "com.aliyun.dpa", name = "oss-android-sdk", version.ref = "aliyunOss" }
qcloud-cos = { group = "com.qcloud.cos", name = "cos-android-lite-nobeacon", version.ref = "qcloudCos" }

# video
video-processor = { group = "com.github.yellowcath", name = "VideoProcessor", version.ref = "videoProcessor" }
tencent-vap = { group = "io.github.tencent", name = "vap", version.ref = "tencentVap" }
media3-exoplayer = { group = "androidx.media3", name = "media3-exoplayer", version.ref = "media3" }
media3-exoplayer-dash = { group = "androidx.media3", name = "media3-exoplayer-dash", version.ref = "media3" }
media3-ui = { group = "androidx.media3", name = "media3-ui", version.ref = "media3" }
guava = { module = "com.google.guava:guava", version.ref = "guava" }

# mmkv
mmkv = { group = "com.tencent", name = "mmkv", version.ref = "mmkv" }

# phone
google-lib-phone-number = { group = "com.googlecode.libphonenumber", name = "libphonenumber", version.ref = "googleLibPhoneNumber" }

# ui
smart-refresh-layout-kernel = { group = "io.github.scwang90", name = "refresh-layout-kernel", version.ref = "smartRefreshLayout" }
smart-refresh-header-material = { group = "io.github.scwang90", name = "refresh-header-material", version.ref = "smartRefreshLayout" }
smart-refresh-footer-classics = { group = "io.github.scwang90", name = "refresh-footer-classics", version.ref = "smartRefreshLayout" }
android-auto-size = { group = "com.github.JessYanCoding", name = "AndroidAutoSize", version.ref = "androidAutoSize" }
base-recyclerview-adapter-helper = { group = "com.github.CymChad", name = "BaseRecyclerViewAdapterHelper", version.ref = "baseRecyclerViewAdapterHelper" }
rangeseekbar = { module = "com.github.Jay-Goo:RangeSeekBar", version.ref = "rangeseekbar" }
flexbox = { module = "com.google.android.flexbox:flexbox", version.ref = "flexbox" }

# apm
xcrash = { group = "com.iqiyi.xcrash", name = "xcrash-android-lib", version.ref = "xcrash" }

# reflect
hiddenapibypass = { group = "org.lsposed.hiddenapibypass", name = "hiddenapibypass", version.ref = "hiddenapibypass" }

# channel
tencent-vasdolly-helper = { group = "com.tencent.vasdolly", name = "helper", version.ref = "vasdolly" }

# library
relinker = { group = "com.getkeepsafe.relinker", name = "relinker", version.ref = "relinker" }

# svga
wire-runtime = { group = "com.squareup.wire", name = "wire-runtime", version.ref = "wireRuntime" }
lucene-core = { group = "org.apache.lucene", name = "lucene-core", version.ref = "luceneCore" }
bolts-tasks = { group = "com.parse.bolts", name = "bolts-tasks", version.ref = "boltsTasks" }

# gson
gson = { group = "com.google.code.gson", name = "gson", version.ref = "gson" }

# blur-view
blur-view = { group = "com.github.Dimezis", name = "BlurView", version.ref = "blurView" }

# apple
apple-appauth = { group = "net.openid", name = "appauth", version.ref = "appleAppauth" }

# tiktok
tiktok-core = { group = "com.tiktok.open.sdk", name = "tiktok-open-sdk-core", version.ref = "tiktok" }
tiktok-auth = { group = "com.tiktok.open.sdk", name = "tiktok-open-sdk-auth", version.ref = "tiktok" }

pinyin = { group = "com.belerweb", name = "pinyin4j", version.ref = "pingyin" }

# frame
frame-bom = { group = "com.gami.android", name = "frame-bom", version.ref = "frameBom" }
frame-gson = { group = "com.gami.android", name = "gson" }
frame-svga = { group = "com.gami.android", name = "SVGAPlayer" }
frame-animplayer = { group = "com.gami.android", name = "animplayer" }
frame-drawee = { group = "com.gami.android", name = "drawee" }
frame-retrofit = { group = "com.gami.android", name = "retrofit" }
frame-libcocos = { group = "com.gami.android", name = "libcocos" }
frame-autosize = { group = "com.gami.android", name = "autosize" }
frame-sound = { group = "com.gami.android", name = "frame-sound" }
frame-game = { group = "com.gami.android", name = "frame-game" }
frame-image = { group = "com.gami.android", name = "frame-image" }
frame-network = { group = "com.gami.android", name = "frame-network" }
frame-zero = { group = "com.gami.android", name = "frame-zero" }
frame-base = { group = "com.gami.android", name = "frame-base" }
frame-download = { group = "com.gami.android", name = "frame-download" }
frame-oss = { group = "com.gami.android", name = "frame-oss" }
frame-coroutine = { group = "com.gami.android", name = "frame-coroutine" }
frame-deviceid = { group = "com.gami.android", name = "frame-deviceid" }
frame-googleservice = { group = "com.gami.android", name = "frame-googleservice" }
frame-security = { group = "com.gami.android", name = "frame-security" }
frame-statistics = { group = "com.gami.android", name = "frame-statistics" }
frame-effect = { group = "com.gami.android", name = "frame-effect" }
frame-util = { group = "com.gami.android", name = "frame-util" }
frame-data = { group = "com.gami.android", name = "frame-data" }
frame-mvvm = { group = "com.gami.android", name = "frame-mvvm" }
frame-spi = { group = "com.gami.android", name = "frame-spi" }
frame-aab = { group = "com.gami.android", name = "frame-aab" }
frame-storage = { group = "com.gami.android", name = "frame-storage" }
frame-log = { group = "com.gami.android", name = "frame-log" }
frame-guide = { group = "com.gami.android", name = "frame-guide" }
frame-debug = { group = "com.gami.android", name = "frame-debug" }
frame-apm = { group = "com.gami.android", name = "frame-apm" }
frame-asr = { group = "com.gami.android", name = "frame-asr" }
frame-audio = { group = "com.gami.android", name = "frame-audio" }
frame-crash = { group = "com.gami.android", name = "frame-crash" }
frame-dot = { group = "com.gami.android", name = "frame-dot" }
frame-locale = { group = "com.gami.android", name = "frame-locale" }
frame-media = { group = "com.gami.android", name = "frame-media" }
frame-agorartc = { group = "com.gami.android", name = "frame-agorartc" }
frame-trtc = { group = "com.gami.android", name = "frame-trtc" }
frame-trtc-pro = { group = "com.gami.android", name = "frame-trtc-pro" }
frame-push = { group = "com.gami.android", name = "frame-push", version.ref = "framePush" }
#frame-room = { group = "com.gami.android", name = "frame-room" }
frame-tceffect = { group = "com.gami.android", name = "frame-tceffect" }
frame-share = { group = "com.gami.android", name = "frame-share" }
frame-tcturing = { group = "com.gami.android", name = "frame-tcturing" }
frame-router-api = { group = "com.gami.android", name = "frame-router-api" }
frame-router-annotation = { group = "com.gami.android", name = "frame-router-annotation" }
frame-router-compiler = { group = "com.gami.android", name = "frame-router-compiler", version.ref = "frameRouterCompiler" }
frame-trace-api = { module = "com.gami.android:frame-trace-api", version.ref = "frameTrace" }
frame-trace-plugin = { module = "com.gami.android:frame-trace-plugin", version.ref = "frameTrace" }
frame-bundle-tool = { group = "com.gami.android", name = "frame-bundletool", version.ref = "frameBundleTool" }
frame-startup = { group = "com.gami.android", name = "frame-startup" }
frame-zxing = { group = "com.gami.android", name = "zxing" }


# tencent.liteav
tencent-imsdk = { group = "com.tencent.imsdk", name = "imsdk-plus", version.ref = "tencentIMSDK" }
tencent-tui-core = { group = "com.tencent.liteav.tuikit", name = "tuicore", version.ref = "tencnetUiCore" }
tencent-uikit-common = { group = "io.trtc.uikit", name = "common", version.ref = "tencnetUiCommon" }
tencent-uikit-room-engine = { group = "io.trtc.uikit", name = "rtc_room_engine", version.ref = "tencnetRoommEngine" }
tencent-timpush = { group = "com.tencent.timpush", name = "timpush", version.ref = "tencnetTimpush" }
tencent-timpush-fcm = { group = "com.tencent.timpush", name = "fcm", version.ref = "tencnetTimpushFcm" }
tencent-atomic-x = { group = "io.trtc.uikit", name = "atomicx-core", version.ref = "tencnetAtomicX" }

# rongcloud im
imlib = { group = "cn.rongcloud.sdk", name = "im_lib", version.ref = "rongcloud" }

# test
junit = { group = "junit", name = "junit", version.ref = "junit" }
androidx-junit = { group = "androidx.test.ext", name = "junit", version.ref = "junitVersion" }
androidx-espresso-core = { group = "androidx.test.espresso", name = "espresso-core", version.ref = "espressoCore" }

toolargetool = { module = "com.gu.android:toolargetool", version.ref = "toolargetool" }
fixandroid14debuggablelag = { module = "com.github.BzCoder:FixAndroid14DebuggableLag", version.ref = "fixandroid14debuggablelag" }

[plugins]
android-application = { id = "com.android.application", version.ref = "agp" }
jetbrains-kotlin-android = { id = "org.jetbrains.kotlin.android", version.ref = "kotlin" }
#gms-google-services = { id = "com.google.gms.google-services", version.ref = "gmsGoogleService" }
firebase-crashlytics = { id = "com.google.firebase.crashlytics", version.ref = "firebaseCrashlytics" }
google-devtools-ksp = { id = "com.google.devtools.ksp", version.ref = "ksp" }
jetbrains-kotlin-kapt = { id = "org.jetbrains.kotlin.kapt", version.ref = "kapt" }
tencent-vasdolly = { id = "com.tencent.vasdolly", version.ref = "vasdolly" }
